<script lang="ts">
import Vue from 'vue';
import Globe from './globe.vue';
import Branches from './branches.vue';

export default Vue.extend({
  name: 'GlobeGraphic',
  components: {
    Globe,
    Branches,
  },

  methods: {},
});
</script>

<template>
  <div class="globe-graphic">
    <Globe />
    <Branches />
    <div class="globe-graphic__glow"></div>
  </div>
</template>

<style lang="scss" scoped>
.globe-graphic {
  position: relative;
  width: 85%;
  margin: 0 auto;
  @media (min-width: $breakpoint-md) {
    width: 100%;
  }
  &__orbs {
    position: absolute;
    top: -26%;
    left: -7%;
    width: 118%;
    :deep svg {
      width: 100%;
    }
  }
  :deep {
    .animated-hero__globe {
      width: 100%;
      z-index: 1;
    }
    .branches {
      width: 100%;
      left: 0;
      z-index: 1;
    }
  }
  &__glow {
    z-index: 1;
    position: absolute;
    isolation: isolate;
    width: 100%;
    height: 100%;
    left: -37%;
    top: 0;
    background: radial-gradient(
      46.15% 46.15% at 50.02% 49.99%,
      #ffd58c 0%,
      #eac380 5%,
      #a4895a 23%,
      #69583a 41%,
      #3c3220 57%,
      #1b160e 71%,
      #070603 82%,
      #000000 90%
    );
    background-blend-mode: screen;
    mix-blend-mode: screen;
    opacity: 0.3;
    transform: translate3d(0, 0, 0);
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
  }
}
</style>
